| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index

Graphics.Rendering.OpenGL.GL.ReadCopyPixels

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Reading Pixels
Copying Pixels

Description
This module corresponds to section 4.3 (Drawing, Reading, and Copying Pixels) of the OpenGL 2.1 specs.
Synopsis

readPixels :: Position -> Size -> PixelData a -> IO ()
readBuffer :: StateVar BufferMode

data PixelCopyType

= CopyColor
| CopyDepth
| CopyStencil

copyPixels :: Position -> Size -> PixelCopyType -> IO ()

Reading Pixels
readPixels :: Position -> Size -> PixelData a -> IO ()
readBuffer :: StateVar BufferMode
Copying Pixels
data PixelCopyType

Constructors

CopyColor |
CopyDepth |
CopyStencil |

Instances

Eq PixelCopyType |
Ord PixelCopyType |
Show PixelCopyType |

copyPixels :: Position -> Size -> PixelCopyType -> IO ()
Produced by Haddock version 2.7.2